ADDUSER(8)

NAAM
adduser, addgroup - gebruikers of groepen toevoegen of manipuleren

SYNOPSIS
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment commentaar] [--conf bestand] [--debug] [--disabled-login] [--disabled-password] [--encrypt-home] [--firstgid id] [--firstuid id] [--force-home] [--gid id] [--home map] [--ingroup groep] [--lastgid id] [--lastuid id] [--no-create-home] [--no-copy-skel] [--shell shell] [--quiet] [--uid id] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker
adduser --system [--comment commentaar] [--conf bestand] [--debug] [--gid id] [--group] [--home map] [--ingroup groep] [--no-create-home] [--no-copy-skel] [--shell shell] [--uid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker
adduser --unlock [--system] gebruiker
adduser --group [--conf bestand] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groep
addgroup [--conf bestand] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groep
addgroup --system [--gid id] [--conf bestand] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groep
adduser [--conf bestand] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] gebruiker groep
adduser --help
adduser --version

BESCHRIJVING
adduser en addgroup voegt gebruikers en groepen toe aan het systeem volgens de commandoregelopties en de configuratie-informatie in /etc/adduser.conf. Het zijn meer Debian-specifieke frontends voor de programma's useradd, groupadd en usermod, die minder afhankelijk zijn van de distributie. adduser en addgroup kiezen standaard Debian-beleidsconforme UID- en GID-waarden, maken een persoonlijke map aan met skeletconfiguratie, voeren een aangepast script uit en vervullen andere functies.

adduser en addgroup zijn bedoeld als een beleidslaag, die het voor pakketbeheerders en lokale beheerders gemakkelijker maakt om lokale systeemaccounts aan te maken op de manier waarop Debian verwacht dat ze worden aangemaakt, waarbij de last om zich aan te passen aan de waarschijnlijk veranderende specificaties van het Debian-beleid wordt weggenomen. adduser --system besteedt speciale aandacht aan het feit dat slechts één enkele aanroep nodig is in de scripts van de pakketbeheerder, zonder voorwaardelijke wrappers, foutonderdrukking of andere vormen van ondersteuning.

adduser respecteert het onderscheid tussen dynamisch toegewezen systeemgebruikers en -groepen en dynamisch toegewezen gebruikersaccounts dat gedocumenteerd is in het Debian-beleidshandboek, hoofdstuk 9.2.2.

Raadpleeg het onderdeel OPTIES voor een volledige lijst van en uitleg bij alle opties.

adduser en addgroup kunnen in vijf modi uitgevoerd worden:

  Een gewone (niet-systeem) gebruiker toevoegen
Als adduser aangeroepen wordt met één niet-optieargument en zonder de opties --system of --group, dan zal het een gewone gebruiker toevoegen, dat wil zeggen een dynamisch toegewezen gebruikersaccount in de zin van het Debian-beleid. Dit wordt in adduser gewoonlijk een niet-systeemgebruiker genoemd.

If adduser is called with the --unlock option, it will search for an existing account, and ensure it is unlocked. If the user is not found, adduser will return an error. See Unlock an account below for more details.

adduser zal de eerste beschikbare UID kiezen uit het bereik dat gespecificeerd wordt door FIRST_UID en LAST_UID in het configuratiebestand. Het bereik kan worden overschreven met de opties --firstuid en --lastuid. Tenslotte kan de UID ook volledig handmatig ingesteld worden met de optie --uid.

Standaard krijgt elke gebruiker een overeenkomstige groep met dezelfde naam. Die worden gewoonlijk Gebruikersgroepen (Usergroups) genoemd en dit maakt het mogelijk om voor groepen beschrijfbare mappen eenvoudig te onderhouden door de juiste gebruikers in de nieuwe groep te plaatsen, de set-group-ID-bit in de map in te stellen en ervoor te zorgen dat alle gebruikers een umask van 002 gebruiken.

Voor een gebruikersgroep kiest adduser de eerste beschikbare GID uit het bereik dat gespecificeerd wordt door FIRST_GID en LAST_GID in het configuratiebestand. Het bereik kan worden overschreven met de opties --firstgid en --lastgid. Tenslotte kan de GID ook volledig handmatig ingesteld worden met de optie --gid.

De interactie tussen USERS_GID, USERS_GROUP en USERGROUPS wordt in detail uitgelegd in adduser.conf(5).

De primaire groep van de nieuwe gebruiker kan ook overschreven worden vanaf de commandoregel met de opties --gid of --ingroup, om de groep respectievelijk op id of naam in te stellen. Gebruikers kunnen ook worden toegevoegd aan een of meer extra groepen die als EXTRA_GROUPS worden gedefinieerd, door ofwel ADD_EXTRA_GROUPS in te stellen op 1 in het configuratiebestand, of door --add-extra-groups te gebruiken aan de commandoregel.

adduser kopieert bestanden van /etc/skel naar de thuismap en vraagt om het commentaarveld en een wachtwoord als deze functies niet zijn uitgeschakeld/overschreven vanaf de opdrachtregel.adduser kopieert bestanden van /etc/skel naar de persoonlijke map en vraagt om het commentaarveld en een wachtwoord als deze functies niet zijn uitgeschakeld/overschreven vanaf de opdrachtregel.

UID, commentaar, persoonlijke map en shell kunnen vooraf worden bepaald met de opties UID_POOL en GID_POOL, die uitgelegd worden in adduser.conf(5).

To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1).

  Een systeemgebruiker toevoegen
Als adduser aangeroepen wordt met één niet-optieargument en met de optie --system, dan zal het een dynamisch toegewezen systeemgebruiker toevoegen, vaak afgekort tot systeemgebruiker in de context van het pakket adduser.

If the user already exists and is a system account, then adduser will ensure the account is unlocked and return successfully. See Unlock a user account below.

adduser zal de eerste beschikbare UID kiezen uit het bereik dat gespecificeerd wordt door FIRST_SYSTEM_UID en LAST_SYSTEM_UID in het configuratiebestand. Dit kan worden overschreven met de optie --uid.

Standaard wordt aan systeemgebruikers nogroup toegewezen als primaire groep. Om een reeds bestaande groep als primaire groep toe te wijzen, gebruikt u de opties --gid of --ingroup. Als de optie --group opgegeven wordt en de groep met dezelfde naam nog niet bestaat, wordt deze aangemaakt met dezelfde ID.

Indien geen persoonlijke map opgegeven wordt, is /nonexistent (onbestaande) de standaard persoonlijke map van een nieuwe systeemgebruiker. Op geen enkel Debian-systeem zou deze map mogen bestaan en adduser zal deze nooit automatisch aanmaken.

Als een persoonlijke map is opgegeven met de optie --home en de map al bestaat (bijvoorbeeld als het pakket bestanden in die map bevat), stelt adduser de eigenaar van de map niet stilzwijgend in op de nieuw aangemaakte gebruiker. Het instellen van de eigenaar zou een beslissing van de lokale beheerder kunnen overschrijven, en het melden van dit feit zou de stilte van adduser tijdens de installatie van het pakket verbreken. Als u adduser --home gebruikt in de onderhoudsscripts van uw pakket, kunt u na de aanroep van adduser een expliciete recursieve chown voor de persoonlijke map uitvoeren.

Unless a shell is explicitly set with the --shell option, the new system user will have the shell set to /usr/sbin/nologin. adduser --system does not set a password for the new account. It is an error if adduser --system is called for an account that has a password. Skeletal configuration files are not copied.

Het gedrag van de andere opties zal hetzelfde zijn als bij het aanmaken van een gewone gebruiker. De bestanden waarnaar wordt verwezen door UID_POOL en GID_POOL worden ook gehonoreerd.

  Unlock a user account
If called with the --unlock option, adduser will unlock an existing, previously locked account. If found, the user's password will be re-enabled, and expiry restrictions will be removed. Any previous expiry settings will have to be added manually after unlocking the account.

  Een groep toevoegen
Als respectievelijk adduser aangeroepen wordt met de optie --group en zonder de optie --system, of addgroup aangeroepen wordt, wordt een gebruikersgroep toegevoegd.

Een dynamisch toegewezen systeemgroep, in de context van het pakket adduser vaak afgekort tot systeemgroep, wordt gecreëerd als adduser --group of addgroup aangeroepen worden met de optie --system.

Er wordt een GID gekozen uit het respectieve bereik dat voor GID's in het configuratiebestand is opgegeven (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Om dat mechanisme op te heffen, kunt u de GID opgeven met de optie --gid.

Voor niet-systeemgroepen kan het in het configuratiebestand gespecificeerde bereik worden overschreven met de opties --firstgid en --lastgid.

De groep wordt aangemaakt zonder leden.

  Een bestaande gebruiker toevoegen aan een bestaande groep
Als adduser aanroepen wordt met twee niet-optieargumenten, zal het een bestaande gebruiker toevoegen aan een bestaande groep.

OPTIES
Verschillende modi van adduser staan verschillende opties toe. Als voor een optie geen geldige modi worden vermeld, wordt ze in alle modi aanvaard.

Voor bepaalde opties kunnen om historische redenen korte versies bestaan. Ze blijven ondersteund worden, maar worden verwijderd uit de documentatie. Gebruikers wordt aangeraden over te stappen op de lange versie van de opties.

--add-extra-groups
    Nieuwe gebruiker toevoegen aan extra groepen, gedefinieerd in de instelling EXTRA_GROUPS van het configuratiebestand. De oude spelling --add_extra_groups is verouderd en wordt alleen ondersteund in Debian Bookworm. Geldige modi: adduser, adduser --system.

--allow-all-names
    Elke gebruikers- en groepsnaam toestaan die door het onderliggende useradd(8) wordt ondersteund. Zie VALID NAMES hieronder. Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    De op namen uitgevoerde controles NAME_REGEX en SYS_NAME_REGEX uitschakelen. Enkel een zwakkere controle op de geldigheid van de naam wordt toegepast. Zie VALID NAMES hieronder. Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--comment commentaar
    Het commentaarveld instellen voor het nieuw gegenereerde element. adduser zal niet naar de informatie vragen als deze optie opgegeven wordt. Dit veld staat ook bekend onder de naam GECOS-veld en bevat informatie die door het commando finger(1) gebruikt wordt. Dit was vroeger de optie --gecos, die verouderd is en na Debian bookworm verwijderd zal worden. Geldige modi: adduser, adduser --system.

--conf bestand
    Bestand gebruiken in plaats van /etc/adduser.conf. Verschillende --conf-opties kunnen opgegeven worden.

--debug
    Synoniem voor --stdoutmsglevel=debug. Verouderd.

--disabled-login
--disabled-password
    passwd(1) niet uitvoeren om een wachtwoord in te stellen. In de meeste situaties is inloggen echter nog steeds mogelijk (bijvoorbeeld met SSH-sleutels of via PAM) om redenen die buiten het bereik van adduser vallen. --disabled-login zal bovendien de shell instellen op /usr/sbin/nologin/. Geldige modus: adduser.

--firstuid ID
--lastuid ID
--firstgid ID
--lastgid ID
    De eerste UID / laatste UID / eerste GID / laatste GID uit het bereik waaruit de uid gekozen wordt, overschrijven (FIRST_UID, LAST_UID, FIRST_GID en LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID en LAST_SYSTEM_GID uit het configuratiebestand). Als een groep als gebruikersgroep aangemaakt wordt, worden --firstgid en --lastgid genegeerd. De groep krijgt dezelfde ID als de gebruiker. Geldige modi: adduser, adduser --system, voor --firstgid en --lastgid ook addgroup.

--force-badname
--allow-badname
    Dit zijn de verouderde vormen van --allow-bad-names. Deze zullen worden verwijderd tijdens de releasecyclus van Debian 13.

--extrausers
    Uses extra users as the database.

--gid GID
    Bij het creëren van een groep, stelt deze optie het groeps-ID-nummer van de nieuwe groep in op GID. Als een gebruiker aangemaakt wordt, stelt deze optie het ID-nummer van de primaire groep van de nieuwe gebruiker in op GID. Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--group
    Het gebruik van deze optie in adduser --system geeft aan dat de nieuwe gebruiker een groep met dezelfde naam als primaire groep moet krijgen. Als die groep met dezelfde naam nog niet bestaat, wordt deze aangemaakt. Indien niet gecombineerd met -system, wordt een groep met de opgegeven naam aangemaakt. Dit laatste is de standaardactie als het programma wordt aangeroepen als addgroup. Geldige modi: adduser --system, addgroup, addgroup --system.

--help
    Korte instructies weergeven.

--home map
    map gebruiken als de persoonlijke map van de gebruiker, in plaats van de door het configuratiebestand gespecificeerde standaard (of /nonexistent als adduser --system gebruikt wordt). Als de map niet bestaat, wordt deze aangemaakt. Geldige modi: adduser, adduser --system.

--ingroup GROEP
    Bij het aanmaken van een gebruiker stelt deze optie het primaire groeps-ID-nummer van de nieuwe gebruiker in op de GID van de genoemde groep. Anders dan bij de optie --gid wordt de groep hier gespecificeerd met een naam en niet met een numeriek ID-nummer. De groep moet al bestaan. Geldige modi: adduser, adduser --system.

--lastuid ID
--lastgid ID
    De laatste UID / laatste GID overschrijven. Zie --firstuid.

--no-create-home
    Geen persoonlijke map aanmaken voor de nieuwe gebruiker. Merk op dat de padnaam voor de persoonlijke map van de nieuwe gebruiker nog steeds wordt ingevoerd in het daarvoor bestemde veld in het bestand /etc/passwd. Het gebruik van deze optie impliceert niet dat dit veld leeg moet zijn. Het geeft eerder aan adduser aan dat een ander mechanisme verantwoordelijk zal zijn voor het initialiseren van de persoonlijke map van de nieuwe gebruiker. Geldige modi: adduser, adduser --system.

--force-home
    Assume the home directory does already exist and has been taken care of by the local administrator. chown the directory to the newly created user and populate it with the files from /etc/skel without double checking. This allows to put new home directories on an md, lvm, or dm-crypt device. Valid modes: adduser.

--no-copy-skel
    Do not populate the home directory for the new user with files from /etc/skel. If the home directory is newly created, it will be empty. Valid modes: adduser, adduser --system.

--quiet
    Synoniem voor --stdoutmsglevel=warn. Verouderd.

--shell shell
    shell gebruiken als de login-shell voor de gebruiker, in plaats van de in het configuratiebestand ingestelde standaard (of /usr/sbin/nologin als adduser --system gebruikt wordt). Geldige modi: adduser, adduser --system.

--system
    Gewoonlijk creëert adduser dynamisch toegewezen gebruikersaccounts en groepen zoals gedefinieerd in het Debian-beleidshandboek, hoofdstuk 9.2.2. Met deze optie creëert adduser een dynamisch toegewezen systeemgebruiker en groep en wijzigt respectievelijk de modus ervan. Geldige modi: adduser, addgroup.

--uid ID
    Het opgegeven nummer opleggen als de nieuwe gebruikers-ID. adduser zal met een foutmelding stoppen als het gebruikers-ID reeds in gebruik is. Geldige modi: adduser, adduser --system.

--verbose
    Synoniem voor --stdoutmsglevel=info. Verouderd.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Minimale prioriteit voor berichten die respectievelijk naar syslog/journal en de console worden gelogd. Waarden zijn trace, debug, info, warn, err en fatal. Berichten met de hier ingestelde prioriteit of hoger worden naar het betreffende medium geprint. Berichten die naar stderr worden geprint, worden niet herhaald op stdout. Hierdoor kan de lokale beheerder de breedsprakigheid van adduser op de console en in het logbestand onafhankelijk beheren, waardoor deze mogelijk verwarrende informatie voor zichzelf kan houden en nuttige informatie in de log blijft staan. stdoutmsglevel, stderrmsglevel en logmsglevel zijn standaard ingesteld op respectievelijk warn, warn en info.

-v , --version
    Versie- en copyrightinformatie weergeven.

GELDIGE NAMEN
In het verleden dwongen adduser(8) en addgroup(8) conformiteit af met IEEE Std 1003.1-2001, dat alleen de volgende tekens in groeps- en gebruikersnamen toestaat: letters, cijfers, onderstrepingstekens, punten, apenstaartjes (@) en streepjes. De naam mag niet beginnen met een streepje of @. Het "$"-teken is toegestaan aan het einde van gebruikersnamen om typische Samba-machine-accounts mogelijk te maken.

De standaardinstellingen voor NAME_REGEX en SYS_NAME_REGEX staan toe dat gebruikersnamen letters en cijfers bevatten, plus streepjes (-) en onderstrepingstekens (_); de naam moet beginnen met een letter (of een onderstrepingsteken voor systeemgebruikers).

Het minst beperkende beleid, beschikbaar met de optie --allow-all-names, voert dezelfde controles uit als useradd(8). Houd er rekening mee dat de controles van useradd in Debian 13 een stuk restrictiever zijn geworden.

Door het standaardgedrag te wijzigen, kunnen er verwarrende of misleidende namen ontstaan. Wees daarom voorzichtig bij het gebruik ervan.

LOGGEN

Adduser maakt gebruik van uitgebreid en configureerbaar loggen om de gedetailleerdheid ervan te kunnen aanpassen aan de behoeften van de systeembeheerder.

Every message that adduser prints has a priority value assigned by the authors. This priority can not be changed at run time. Available priority values are fatal, error, warn, info, debug, and trace.

Als u vindt dat een bericht de verkeerde prioriteit heeft, meld dit dan als bug.

Elke keer dat er een bericht wordt gegenereerd, beslist de code of het bericht wordt afgedrukt naar standaarduitvoer, standaardfout of syslog. Dit wordt voornamelijk en onafhankelijk geregeld door de configuratie-instellingen STDOUTMSGLEVEL, STDERRMSGLEVEL en LOGMSGLEVEL. Voor testdoeleinden kunnen deze instellingen overschreven worden aan de commandoregel.

Alleen berichten met een prioriteit hoger of gelijk aan het respectieve berichtniveau worden gelogd op het respectieve uitvoermedium. Een bericht dat naar standaardfout is geschreven, wordt niet een tweede keer naar standaarduitvoer geschreven.

AFSLUITWAARDEN

0   Geslaagd: de gebruiker of groep bestaat zoals opgegeven. Dit kan 2 oorzaken hebben: de gebruiker of groep werd aangemaakt door deze aanroep van adduser of de gebruiker of groep was zoals opgegeven al aanwezig op het systeem voordat adduser werd aangeroepen. Als adduser --system wordt aangeroepen voor een reeds bestaande gebruiker met de gevraagde of compatibele attributen, zal ook 0 teruggegeven worden.

11  Het object dat adduser moest aanmaken, bestaat al.

12  Het object waarop adduser of deluser een bewerking moest uitvoeren, bestaat niet.

13  Het object waarop adduser of deluser een bewerking moest uitvoeren, beschikt niet over de eigenschappen die nodig zijn om de bewerking te voltooien: een gebruiker (groep) waarvan de creatie als een systeemgebruiker (groep) is aangevraagd, bestaat al en is geen systeemgebruiker (groep), of een gebruiker (groep) waarvan de creatie met een bepaalde UID (GID) is aangevraagd, bestaat al en heeft een andere UID (GID), of een systeemgebruiker (groep) waarvan de verwijdering is aangevraagd, bestaat wel, maar is geen systeemgebruiker (groep).

21  De UID (GID) die expliciet is aangevraagd voor een nieuwe gebruiker (groep) is al in gebruik.

22  Er is geen UID (GID) beschikbaar in het gevraagde bereik.

23  Er is geen groep met de gevraagde GID als de primaire groep voor een nieuwe gebruiker.

31  The chosen name or comment for a new user or a new group does not conform to the selected naming rules.

32  De persoonlijke map van een nieuwe gebruiker moet een absoluut pad zijn.

33  useradd gaf exitcode 19 "ongeldige gebruikers- of groepsnaam" (invalid user or group name) terug. Dat betekent dat de gekozen gebruikers- of groepsnaam niet voldoet aan de beperkingen van useradd en adduser de gebruiker niet kan aanmaken.

41  De groep waarvan de verwijdering aangevraagd werd, is niet leeg.

42  De gebruiker die uit een groep verwijderd moet worden, is er in de eerste plaats geen lid van.

43  Het is niet mogelijk een gebruiker uit zijn primaire groep te verwijderen, of er werd op geen enkele manier een primaire groep voor een nieuwe gebruiker geselecteerd.

51  Er werd een onjuist aantal of een onjuiste volgorde van commandoregelparameters gedetecteerd.

52  Incompatibele opties ingesteld in configuratiebestand.

53  Er zijn onderling onverenigbare commandoregelopties gedetecteerd.

54  De aanroep van adduser en deluser gebeurde niet door root en dus kan dit niet werken.

55  deluser zal weigeren het account van root, de systeembeheerder, te verwijderen.

56  Er is een functie aangevraagd waarvoor meer pakketten geïnstalleerd moeten worden. Zie de Recommends: en Suggests: van het adduser-pakket.

61  Adduser is om een ​​of andere reden afgebroken en probeerde de wijzigingen die tijdens de uitvoering zijn doorgevoerd, terug te draaien.

62  Interne adduser-fout. Dit zou niet mogen gebeuren. Probeer het probleem te reproduceren en dien een bugrapport in.

71  Fout bij het maken en verwerken van de vergrendeling.

72  Fout bij het benaderen van het/de configuratiebestand(en).

73  Fout bij het benaderen van een poolbestand.

74  Fout bij het lezen van een poolbestand, syntaxisfout in bestand.

75  Fout bij het benaderen van hulpbestanden.

81  An executable that is needed by adduser or deluser cannot be found. Check your installation and dependencies.

82  Het uitvoeren van een extern commando leverde een onverwachte fout op.

83  Een extern commando werd beëindigd met een signaal.

84  Een systeemaanroep is beëindigd met een onverwachte fout.

Of om vele andere nog niet gedocumenteerde redenen die dan naar de console worden afgedrukt. U kunt dan overwegen om het logniveau te verhogen om adduser meer informatie te laten geven.

VEILIGHEID
adduser heeft root-privileges nodig en biedt via de opdrachtregeloptie --conf de mogelijkheid om verschillende configuratiebestanden te gebruiken. Gebruik geen sudo(8) of soortgelijke hulpmiddelen om gedeeltelijke rechten te geven aan adduser met beperkte commandoregelparameters. Dit is gemakkelijk te omzeilen en kan gebruikers in staat stellen om willekeurige accounts aan te maken. Als u dit wilt, overweeg dan om uw eigen wrapperscript te schrijven en privileges te geven om dat script uit te voeren.

BESTANDEN

/etc/adduser.conf
    Standaardconfiguratiebestand voor adduser(8) en addgroup(8)

/usr/local/sbin/adduser.local
    Optionele aangepaste uitbreidingen, zie adduser.local(8)

OPMERKINGEN
Helaas lijdt de term systeemaccount in Debian aan dubbel gebruik. Hij betekent in beide gevallen een account voor het eigenlijke Debian-systeem, waarbij hij zich onderscheidt van een toepassingsaccount die kan bestaan in de gebruikersdatabase van een of andere toepassing die op Debian actief is. Een systeemaccount in deze definitie kan inloggen op het eigenlijke systeem, heeft een UID, kan lid zijn van systeemgroepen, kan eigenaar zijn van bestanden en processen. Daartegenover maakt het beleidshandboek van Debian in hoofdstuk 9.2.2 een onderscheid tussen dynamisch toegewezen systeemgebruikers en -groepen en dynamisch toegewezen gebruikersaccounts, wat in beide gevallen een speciale vorm van systeemaccount betekent. Er moet voor worden gezorgd dat deze terminologie niet door elkaar wordt gehaald. Aangezien adduser en deluser(8) zich nooit inlaten met toepassingsaccounts en alles in dit pakket hier systeemaccounts betreft, is het gebruik van de termen gebruikersaccount en systeemaccount eigenlijk niet dubbelzinnig in de context van dit pakket. Voor de duidelijkheid wordt in dit document de omschrijving lokale systeemaccount of -groep gebruikt als het onderscheid met toepassingsaccounts of accounts die in een registerdienst worden beheerd, moet gemaakt worden.

Sinds de jaren negentig ging adduser uit van het idee dat het in Debian het universele frontend was voor de verschillende registerdiensten voor het aanmaken en verwijderen van reguliere en systeemaccounts. Deze visie is verlaten in 2022. De achterliggende redenering is dat een klein serversysteem in de praktijk sowieso geen schrijftoegang zal hebben tot een bedrijfsbrede registerdienst, dat lokaal geïnstalleerde pakketten moeilijk te beheren zijn met centraal beheerde systeemaccounts, dat bedrijfsregisterdiensten hoe dan ook hun eigen beheersprocessen hebben en dat de mankracht van het adduser-team waarschijnlijk nooit sterk genoeg zal zijn om ondersteuning te schrijven en te onderhouden voor de overvloed aan registerdiensten die ondersteuning nodig hebben.

adduser zal zich ertoe beperken een beheerslaag te zijn voor het beheer van lokale systeemaccounts, waarbij de gereedschappen uit het pakket passwd worden gebruikt voor het eigenlijke werk.

Group membership changes do not affect processes that are already running. When a user is added to a group, the new membership becomes effective only for sessions started after the change. This behavior is a common source of confusion for administrators who expect the results of adduser user group to apply immediately to existing sessions.

To make the new group membership available immediately, the user must start a new login session. Alternatively, the newgrp(1) command can be used to start a new shell with the updated group membership.

This behavior is a fundamental property of Unix-like operating systems and cannot be altered by adduser.

BUGS
Inconsistent gebruik in documenten en code van terminologie in verband met de term systeemaccount is een bug. Gelieve dit te melden en ons in staat te stellen onze documenten te verbeteren.

adduser besteedt speciale aandacht aan direct bruikbaar te zijn in scripts van pakketbeheerders, zonder voorwaardelijke wrappers, foutonderdrukking of andere vormen van ondersteuning. Het enige wat de pakketbeheerder zou moeten coderen, is een controle op de aanwezigheid van het uitvoerbare bestand in het postrm-script. De beheerders van adduser beschouwen de behoefte aan extra vormen van ondersteuning als een bug en moedigen hun collega-beheerders van Debian-pakketten aan om in dit geval bugs in te dienen tegen het pakket adduser.

ZIE OOK
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), /usr/share/doc/base-passwd/users-and-groups.html op elk Debian systeem, Debian Beleidsrichtlijn 9.2.2, RFC8264 "PRECIS Framework: Preparation, Enforcement, and Comparison of Internationalized Strings in Application Protocols", RFC8265 "PRECIS Representing Usernames and Passwords", https://wiki.debian.org/UserAccounts.